Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network211.78.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
211.78.0.0
Broadcast address
211.78.127.255
First usable
211.78.0.1
Last usable
211.78.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
C (default /24)
As numbers
Hex D34E0000 · Integer 3545104384 to 3545137151
Reverse DNS zones
0.78.211.in-addr.arpa
1.78.211.in-addr.arpa
2.78.211.in-addr.arpa
3.78.211.in-addr.arpa
4.78.211.in-addr.arpa
5.78.211.in-addr.arpa
6.78.211.in-addr.arpa
7.78.211.in-addr.arpa
8.78.211.in-addr.arpa
9.78.211.in-addr.arpa
10.78.211.in-addr.arpa
11.78.211.in-addr.arpa
12.78.211.in-addr.arpa
13.78.211.in-addr.arpa
14.78.211.in-addr.arpa
15.78.211.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010011.01001110.00000000.00000000211.78.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11010011.01001110.00000000.00000000211.78.0.0
Broadcast11010011.01001110.01111111.11111111211.78.127.255
Split into smaller subnets/27

211.78.0.0/17 makes 1,024 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1211.78.0.0/27211.78.0.1 to 211.78.0.30211.78.0.3130
2211.78.0.32/27211.78.0.33 to 211.78.0.62211.78.0.6330
3211.78.0.64/27211.78.0.65 to 211.78.0.94211.78.0.9530
4211.78.0.96/27211.78.0.97 to 211.78.0.126211.78.0.12730
5211.78.0.128/27211.78.0.129 to 211.78.0.158211.78.0.15930
6211.78.0.160/27211.78.0.161 to 211.78.0.190211.78.0.19130
7211.78.0.192/27211.78.0.193 to 211.78.0.222211.78.0.22330
8211.78.0.224/27211.78.0.225 to 211.78.0.254211.78.0.25530
9211.78.1.0/27211.78.1.1 to 211.78.1.30211.78.1.3130
10211.78.1.32/27211.78.1.33 to 211.78.1.62211.78.1.6330
11211.78.1.64/27211.78.1.65 to 211.78.1.94211.78.1.9530
12211.78.1.96/27211.78.1.97 to 211.78.1.126211.78.1.12730
13211.78.1.128/27211.78.1.129 to 211.78.1.158211.78.1.15930
14211.78.1.160/27211.78.1.161 to 211.78.1.190211.78.1.19130
15211.78.1.192/27211.78.1.193 to 211.78.1.222211.78.1.22330
16211.78.1.224/27211.78.1.225 to 211.78.1.254211.78.1.25530
17211.78.2.0/27211.78.2.1 to 211.78.2.30211.78.2.3130
18211.78.2.32/27211.78.2.33 to 211.78.2.62211.78.2.6330
19211.78.2.64/27211.78.2.65 to 211.78.2.94211.78.2.9530
20211.78.2.96/27211.78.2.97 to 211.78.2.126211.78.2.12730
21211.78.2.128/27211.78.2.129 to 211.78.2.158211.78.2.15930
22211.78.2.160/27211.78.2.161 to 211.78.2.190211.78.2.19130
23211.78.2.192/27211.78.2.193 to 211.78.2.222211.78.2.22330
24211.78.2.224/27211.78.2.225 to 211.78.2.254211.78.2.25530
25211.78.3.0/27211.78.3.1 to 211.78.3.30211.78.3.3130
26211.78.3.32/27211.78.3.33 to 211.78.3.62211.78.3.6330
27211.78.3.64/27211.78.3.65 to 211.78.3.94211.78.3.9530
28211.78.3.96/27211.78.3.97 to 211.78.3.126211.78.3.12730
29211.78.3.128/27211.78.3.129 to 211.78.3.158211.78.3.15930
30211.78.3.160/27211.78.3.161 to 211.78.3.190211.78.3.19130
31211.78.3.192/27211.78.3.193 to 211.78.3.222211.78.3.22330
32211.78.3.224/27211.78.3.225 to 211.78.3.254211.78.3.25530
33211.78.4.0/27211.78.4.1 to 211.78.4.30211.78.4.3130
34211.78.4.32/27211.78.4.33 to 211.78.4.62211.78.4.6330
35211.78.4.64/27211.78.4.65 to 211.78.4.94211.78.4.9530
36211.78.4.96/27211.78.4.97 to 211.78.4.126211.78.4.12730
37211.78.4.128/27211.78.4.129 to 211.78.4.158211.78.4.15930
38211.78.4.160/27211.78.4.161 to 211.78.4.190211.78.4.19130
39211.78.4.192/27211.78.4.193 to 211.78.4.222211.78.4.22330
40211.78.4.224/27211.78.4.225 to 211.78.4.254211.78.4.25530
41211.78.5.0/27211.78.5.1 to 211.78.5.30211.78.5.3130
42211.78.5.32/27211.78.5.33 to 211.78.5.62211.78.5.6330
43211.78.5.64/27211.78.5.65 to 211.78.5.94211.78.5.9530
44211.78.5.96/27211.78.5.97 to 211.78.5.126211.78.5.12730
45211.78.5.128/27211.78.5.129 to 211.78.5.158211.78.5.15930
46211.78.5.160/27211.78.5.161 to 211.78.5.190211.78.5.19130
47211.78.5.192/27211.78.5.193 to 211.78.5.222211.78.5.22330
48211.78.5.224/27211.78.5.225 to 211.78.5.254211.78.5.25530
49211.78.6.0/27211.78.6.1 to 211.78.6.30211.78.6.3130
50211.78.6.32/27211.78.6.33 to 211.78.6.62211.78.6.6330
51211.78.6.64/27211.78.6.65 to 211.78.6.94211.78.6.9530
52211.78.6.96/27211.78.6.97 to 211.78.6.126211.78.6.12730
53211.78.6.128/27211.78.6.129 to 211.78.6.158211.78.6.15930
54211.78.6.160/27211.78.6.161 to 211.78.6.190211.78.6.19130
55211.78.6.192/27211.78.6.193 to 211.78.6.222211.78.6.22330
56211.78.6.224/27211.78.6.225 to 211.78.6.254211.78.6.25530
57211.78.7.0/27211.78.7.1 to 211.78.7.30211.78.7.3130
58211.78.7.32/27211.78.7.33 to 211.78.7.62211.78.7.6330
59211.78.7.64/27211.78.7.65 to 211.78.7.94211.78.7.9530
60211.78.7.96/27211.78.7.97 to 211.78.7.126211.78.7.12730
61211.78.7.128/27211.78.7.129 to 211.78.7.158211.78.7.15930
62211.78.7.160/27211.78.7.161 to 211.78.7.190211.78.7.19130
63211.78.7.192/27211.78.7.193 to 211.78.7.222211.78.7.22330
64211.78.7.224/27211.78.7.225 to 211.78.7.254211.78.7.25530
65211.78.8.0/27211.78.8.1 to 211.78.8.30211.78.8.3130
66211.78.8.32/27211.78.8.33 to 211.78.8.62211.78.8.6330
67211.78.8.64/27211.78.8.65 to 211.78.8.94211.78.8.9530
68211.78.8.96/27211.78.8.97 to 211.78.8.126211.78.8.12730
69211.78.8.128/27211.78.8.129 to 211.78.8.158211.78.8.15930
70211.78.8.160/27211.78.8.161 to 211.78.8.190211.78.8.19130
71211.78.8.192/27211.78.8.193 to 211.78.8.222211.78.8.22330
72211.78.8.224/27211.78.8.225 to 211.78.8.254211.78.8.25530
73211.78.9.0/27211.78.9.1 to 211.78.9.30211.78.9.3130
74211.78.9.32/27211.78.9.33 to 211.78.9.62211.78.9.6330
75211.78.9.64/27211.78.9.65 to 211.78.9.94211.78.9.9530
76211.78.9.96/27211.78.9.97 to 211.78.9.126211.78.9.12730
77211.78.9.128/27211.78.9.129 to 211.78.9.158211.78.9.15930
78211.78.9.160/27211.78.9.161 to 211.78.9.190211.78.9.19130
79211.78.9.192/27211.78.9.193 to 211.78.9.222211.78.9.22330
80211.78.9.224/27211.78.9.225 to 211.78.9.254211.78.9.25530
81211.78.10.0/27211.78.10.1 to 211.78.10.30211.78.10.3130
82211.78.10.32/27211.78.10.33 to 211.78.10.62211.78.10.6330
83211.78.10.64/27211.78.10.65 to 211.78.10.94211.78.10.9530
84211.78.10.96/27211.78.10.97 to 211.78.10.126211.78.10.12730
85211.78.10.128/27211.78.10.129 to 211.78.10.158211.78.10.15930
86211.78.10.160/27211.78.10.161 to 211.78.10.190211.78.10.19130
87211.78.10.192/27211.78.10.193 to 211.78.10.222211.78.10.22330
88211.78.10.224/27211.78.10.225 to 211.78.10.254211.78.10.25530
89211.78.11.0/27211.78.11.1 to 211.78.11.30211.78.11.3130
90211.78.11.32/27211.78.11.33 to 211.78.11.62211.78.11.6330
91211.78.11.64/27211.78.11.65 to 211.78.11.94211.78.11.9530
92211.78.11.96/27211.78.11.97 to 211.78.11.126211.78.11.12730
93211.78.11.128/27211.78.11.129 to 211.78.11.158211.78.11.15930
94211.78.11.160/27211.78.11.161 to 211.78.11.190211.78.11.19130
95211.78.11.192/27211.78.11.193 to 211.78.11.222211.78.11.22330
96211.78.11.224/27211.78.11.225 to 211.78.11.254211.78.11.25530
97211.78.12.0/27211.78.12.1 to 211.78.12.30211.78.12.3130
98211.78.12.32/27211.78.12.33 to 211.78.12.62211.78.12.6330
99211.78.12.64/27211.78.12.65 to 211.78.12.94211.78.12.9530
100211.78.12.96/27211.78.12.97 to 211.78.12.126211.78.12.12730
101211.78.12.128/27211.78.12.129 to 211.78.12.158211.78.12.15930
102211.78.12.160/27211.78.12.161 to 211.78.12.190211.78.12.19130
103211.78.12.192/27211.78.12.193 to 211.78.12.222211.78.12.22330
104211.78.12.224/27211.78.12.225 to 211.78.12.254211.78.12.25530
105211.78.13.0/27211.78.13.1 to 211.78.13.30211.78.13.3130
106211.78.13.32/27211.78.13.33 to 211.78.13.62211.78.13.6330
107211.78.13.64/27211.78.13.65 to 211.78.13.94211.78.13.9530
108211.78.13.96/27211.78.13.97 to 211.78.13.126211.78.13.12730
109211.78.13.128/27211.78.13.129 to 211.78.13.158211.78.13.15930
110211.78.13.160/27211.78.13.161 to 211.78.13.190211.78.13.19130
111211.78.13.192/27211.78.13.193 to 211.78.13.222211.78.13.22330
112211.78.13.224/27211.78.13.225 to 211.78.13.254211.78.13.25530
113211.78.14.0/27211.78.14.1 to 211.78.14.30211.78.14.3130
114211.78.14.32/27211.78.14.33 to 211.78.14.62211.78.14.6330
115211.78.14.64/27211.78.14.65 to 211.78.14.94211.78.14.9530
116211.78.14.96/27211.78.14.97 to 211.78.14.126211.78.14.12730
117211.78.14.128/27211.78.14.129 to 211.78.14.158211.78.14.15930
118211.78.14.160/27211.78.14.161 to 211.78.14.190211.78.14.19130
119211.78.14.192/27211.78.14.193 to 211.78.14.222211.78.14.22330
120211.78.14.224/27211.78.14.225 to 211.78.14.254211.78.14.25530
121211.78.15.0/27211.78.15.1 to 211.78.15.30211.78.15.3130
122211.78.15.32/27211.78.15.33 to 211.78.15.62211.78.15.6330
123211.78.15.64/27211.78.15.65 to 211.78.15.94211.78.15.9530
124211.78.15.96/27211.78.15.97 to 211.78.15.126211.78.15.12730
125211.78.15.128/27211.78.15.129 to 211.78.15.158211.78.15.15930
126211.78.15.160/27211.78.15.161 to 211.78.15.190211.78.15.19130
127211.78.15.192/27211.78.15.193 to 211.78.15.222211.78.15.22330
128211.78.15.224/27211.78.15.225 to 211.78.15.254211.78.15.25530
129211.78.16.0/27211.78.16.1 to 211.78.16.30211.78.16.3130
130211.78.16.32/27211.78.16.33 to 211.78.16.62211.78.16.6330
131211.78.16.64/27211.78.16.65 to 211.78.16.94211.78.16.9530
132211.78.16.96/27211.78.16.97 to 211.78.16.126211.78.16.12730
133211.78.16.128/27211.78.16.129 to 211.78.16.158211.78.16.15930
134211.78.16.160/27211.78.16.161 to 211.78.16.190211.78.16.19130
135211.78.16.192/27211.78.16.193 to 211.78.16.222211.78.16.22330
136211.78.16.224/27211.78.16.225 to 211.78.16.254211.78.16.25530
137211.78.17.0/27211.78.17.1 to 211.78.17.30211.78.17.3130
138211.78.17.32/27211.78.17.33 to 211.78.17.62211.78.17.6330
139211.78.17.64/27211.78.17.65 to 211.78.17.94211.78.17.9530
140211.78.17.96/27211.78.17.97 to 211.78.17.126211.78.17.12730
141211.78.17.128/27211.78.17.129 to 211.78.17.158211.78.17.15930
142211.78.17.160/27211.78.17.161 to 211.78.17.190211.78.17.19130
143211.78.17.192/27211.78.17.193 to 211.78.17.222211.78.17.22330
144211.78.17.224/27211.78.17.225 to 211.78.17.254211.78.17.25530
145211.78.18.0/27211.78.18.1 to 211.78.18.30211.78.18.3130
146211.78.18.32/27211.78.18.33 to 211.78.18.62211.78.18.6330
147211.78.18.64/27211.78.18.65 to 211.78.18.94211.78.18.9530
148211.78.18.96/27211.78.18.97 to 211.78.18.126211.78.18.12730
149211.78.18.128/27211.78.18.129 to 211.78.18.158211.78.18.15930
150211.78.18.160/27211.78.18.161 to 211.78.18.190211.78.18.19130
151211.78.18.192/27211.78.18.193 to 211.78.18.222211.78.18.22330
152211.78.18.224/27211.78.18.225 to 211.78.18.254211.78.18.25530
153211.78.19.0/27211.78.19.1 to 211.78.19.30211.78.19.3130
154211.78.19.32/27211.78.19.33 to 211.78.19.62211.78.19.6330
155211.78.19.64/27211.78.19.65 to 211.78.19.94211.78.19.9530
156211.78.19.96/27211.78.19.97 to 211.78.19.126211.78.19.12730
157211.78.19.128/27211.78.19.129 to 211.78.19.158211.78.19.15930
158211.78.19.160/27211.78.19.161 to 211.78.19.190211.78.19.19130
159211.78.19.192/27211.78.19.193 to 211.78.19.222211.78.19.22330
160211.78.19.224/27211.78.19.225 to 211.78.19.254211.78.19.25530
161211.78.20.0/27211.78.20.1 to 211.78.20.30211.78.20.3130
162211.78.20.32/27211.78.20.33 to 211.78.20.62211.78.20.6330
163211.78.20.64/27211.78.20.65 to 211.78.20.94211.78.20.9530
164211.78.20.96/27211.78.20.97 to 211.78.20.126211.78.20.12730
165211.78.20.128/27211.78.20.129 to 211.78.20.158211.78.20.15930
166211.78.20.160/27211.78.20.161 to 211.78.20.190211.78.20.19130
167211.78.20.192/27211.78.20.193 to 211.78.20.222211.78.20.22330
168211.78.20.224/27211.78.20.225 to 211.78.20.254211.78.20.25530
169211.78.21.0/27211.78.21.1 to 211.78.21.30211.78.21.3130
170211.78.21.32/27211.78.21.33 to 211.78.21.62211.78.21.6330
171211.78.21.64/27211.78.21.65 to 211.78.21.94211.78.21.9530
172211.78.21.96/27211.78.21.97 to 211.78.21.126211.78.21.12730
173211.78.21.128/27211.78.21.129 to 211.78.21.158211.78.21.15930
174211.78.21.160/27211.78.21.161 to 211.78.21.190211.78.21.19130
175211.78.21.192/27211.78.21.193 to 211.78.21.222211.78.21.22330
176211.78.21.224/27211.78.21.225 to 211.78.21.254211.78.21.25530
177211.78.22.0/27211.78.22.1 to 211.78.22.30211.78.22.3130
178211.78.22.32/27211.78.22.33 to 211.78.22.62211.78.22.6330
179211.78.22.64/27211.78.22.65 to 211.78.22.94211.78.22.9530
180211.78.22.96/27211.78.22.97 to 211.78.22.126211.78.22.12730
181211.78.22.128/27211.78.22.129 to 211.78.22.158211.78.22.15930
182211.78.22.160/27211.78.22.161 to 211.78.22.190211.78.22.19130
183211.78.22.192/27211.78.22.193 to 211.78.22.222211.78.22.22330
184211.78.22.224/27211.78.22.225 to 211.78.22.254211.78.22.25530
185211.78.23.0/27211.78.23.1 to 211.78.23.30211.78.23.3130
186211.78.23.32/27211.78.23.33 to 211.78.23.62211.78.23.6330
187211.78.23.64/27211.78.23.65 to 211.78.23.94211.78.23.9530
188211.78.23.96/27211.78.23.97 to 211.78.23.126211.78.23.12730
189211.78.23.128/27211.78.23.129 to 211.78.23.158211.78.23.15930
190211.78.23.160/27211.78.23.161 to 211.78.23.190211.78.23.19130
191211.78.23.192/27211.78.23.193 to 211.78.23.222211.78.23.22330
192211.78.23.224/27211.78.23.225 to 211.78.23.254211.78.23.25530
193211.78.24.0/27211.78.24.1 to 211.78.24.30211.78.24.3130
194211.78.24.32/27211.78.24.33 to 211.78.24.62211.78.24.6330
195211.78.24.64/27211.78.24.65 to 211.78.24.94211.78.24.9530
196211.78.24.96/27211.78.24.97 to 211.78.24.126211.78.24.12730
197211.78.24.128/27211.78.24.129 to 211.78.24.158211.78.24.15930
198211.78.24.160/27211.78.24.161 to 211.78.24.190211.78.24.19130
199211.78.24.192/27211.78.24.193 to 211.78.24.222211.78.24.22330
200211.78.24.224/27211.78.24.225 to 211.78.24.254211.78.24.25530
201211.78.25.0/27211.78.25.1 to 211.78.25.30211.78.25.3130
202211.78.25.32/27211.78.25.33 to 211.78.25.62211.78.25.6330
203211.78.25.64/27211.78.25.65 to 211.78.25.94211.78.25.9530
204211.78.25.96/27211.78.25.97 to 211.78.25.126211.78.25.12730
205211.78.25.128/27211.78.25.129 to 211.78.25.158211.78.25.15930
206211.78.25.160/27211.78.25.161 to 211.78.25.190211.78.25.19130
207211.78.25.192/27211.78.25.193 to 211.78.25.222211.78.25.22330
208211.78.25.224/27211.78.25.225 to 211.78.25.254211.78.25.25530
209211.78.26.0/27211.78.26.1 to 211.78.26.30211.78.26.3130
210211.78.26.32/27211.78.26.33 to 211.78.26.62211.78.26.6330
211211.78.26.64/27211.78.26.65 to 211.78.26.94211.78.26.9530
212211.78.26.96/27211.78.26.97 to 211.78.26.126211.78.26.12730
213211.78.26.128/27211.78.26.129 to 211.78.26.158211.78.26.15930
214211.78.26.160/27211.78.26.161 to 211.78.26.190211.78.26.19130
215211.78.26.192/27211.78.26.193 to 211.78.26.222211.78.26.22330
216211.78.26.224/27211.78.26.225 to 211.78.26.254211.78.26.25530
217211.78.27.0/27211.78.27.1 to 211.78.27.30211.78.27.3130
218211.78.27.32/27211.78.27.33 to 211.78.27.62211.78.27.6330
219211.78.27.64/27211.78.27.65 to 211.78.27.94211.78.27.9530
220211.78.27.96/27211.78.27.97 to 211.78.27.126211.78.27.12730
221211.78.27.128/27211.78.27.129 to 211.78.27.158211.78.27.15930
222211.78.27.160/27211.78.27.161 to 211.78.27.190211.78.27.19130
223211.78.27.192/27211.78.27.193 to 211.78.27.222211.78.27.22330
224211.78.27.224/27211.78.27.225 to 211.78.27.254211.78.27.25530
225211.78.28.0/27211.78.28.1 to 211.78.28.30211.78.28.3130
226211.78.28.32/27211.78.28.33 to 211.78.28.62211.78.28.6330
227211.78.28.64/27211.78.28.65 to 211.78.28.94211.78.28.9530
228211.78.28.96/27211.78.28.97 to 211.78.28.126211.78.28.12730
229211.78.28.128/27211.78.28.129 to 211.78.28.158211.78.28.15930
230211.78.28.160/27211.78.28.161 to 211.78.28.190211.78.28.19130
231211.78.28.192/27211.78.28.193 to 211.78.28.222211.78.28.22330
232211.78.28.224/27211.78.28.225 to 211.78.28.254211.78.28.25530
233211.78.29.0/27211.78.29.1 to 211.78.29.30211.78.29.3130
234211.78.29.32/27211.78.29.33 to 211.78.29.62211.78.29.6330
235211.78.29.64/27211.78.29.65 to 211.78.29.94211.78.29.9530
236211.78.29.96/27211.78.29.97 to 211.78.29.126211.78.29.12730
237211.78.29.128/27211.78.29.129 to 211.78.29.158211.78.29.15930
238211.78.29.160/27211.78.29.161 to 211.78.29.190211.78.29.19130
239211.78.29.192/27211.78.29.193 to 211.78.29.222211.78.29.22330
240211.78.29.224/27211.78.29.225 to 211.78.29.254211.78.29.25530
241211.78.30.0/27211.78.30.1 to 211.78.30.30211.78.30.3130
242211.78.30.32/27211.78.30.33 to 211.78.30.62211.78.30.6330
243211.78.30.64/27211.78.30.65 to 211.78.30.94211.78.30.9530
244211.78.30.96/27211.78.30.97 to 211.78.30.126211.78.30.12730
245211.78.30.128/27211.78.30.129 to 211.78.30.158211.78.30.15930
246211.78.30.160/27211.78.30.161 to 211.78.30.190211.78.30.19130
247211.78.30.192/27211.78.30.193 to 211.78.30.222211.78.30.22330
248211.78.30.224/27211.78.30.225 to 211.78.30.254211.78.30.25530
249211.78.31.0/27211.78.31.1 to 211.78.31.30211.78.31.3130
250211.78.31.32/27211.78.31.33 to 211.78.31.62211.78.31.6330
251211.78.31.64/27211.78.31.65 to 211.78.31.94211.78.31.9530
252211.78.31.96/27211.78.31.97 to 211.78.31.126211.78.31.12730
253211.78.31.128/27211.78.31.129 to 211.78.31.158211.78.31.15930
254211.78.31.160/27211.78.31.161 to 211.78.31.190211.78.31.19130
255211.78.31.192/27211.78.31.193 to 211.78.31.222211.78.31.22330
256211.78.31.224/27211.78.31.225 to 211.78.31.254211.78.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses